/***************************************************************************
                          main.h  -  description
                             -------------------
    begin                : Mon Nov 13 2000
    copyright            : (C) 2000 by Erik Buchmann
    email                : owner@ErikBuchmann.de
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <iostream.h>
#include <stdlib.h>

#include <termio.h>
#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/time.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <string.h>


// Funktionsprototypen
void open_port(char *device);
void close_port(void);
void delay(void);
void get_File(char *filename);

void perform_test(void);
void perform_erase(void);
void perform_write(void);
void perform_verify(void);

// Variablen
struct termios tios;
struct termios tios_backup;

char buf[5000];
char *device;

int devicehandle;
int filesize;
bool do_erase,do_write,do_verify,do_test,do_msg;

// Konstanten	
const char init_test[]	={0xEB,0x98,0x80};
const char init_erase[]	={0xEB,0x98,0x12};
const char init_write[]	={0xEB,0x98,0x04};
const char init_verify[]={0xEB,0x98,0x08};
const char init_lock[]	={0xEB,0x98,0xE0};
